.page-painter :is(h2, h3) {
  margin: 0;
}
.page-painter h2 {
  padding: 20px;
}

.page-painter p {
  margin-bottom: 0;
}

.page-painter a {
  cursor: pointer;
}

.page-painter .notifications li.error {
  color: red;
}

.page-painter :is(.content-painter-reviews, .content-painter-answers, .content-painter-prefecture) {
  word-break: break-all;
}

.page-painter :is(.content-painter-reviews, .content-painter-answers, .content-painter-prefecture h2) {
  background-color: var(--sotokabe-bbs-main-bg-color);
}

.page-painter .content-painter-reviews h2 {
  background-color: var(--sotokabe-bbs-reviews-head-bg-color);
  color: var(--sotokabe-bbs-reviews-head-color);
}

.page-painter .content-painter-reviews .glsr:not([data-shortcode="site_reviews"]) {
  padding: calc(15px + 1vw);
}

.page-painter .content-painter-reviews .glsr-reviews {
  gap: 0;
}

.page-painter .content-painter-reviews .glsr-review, .page-painter .content-painter-reviews .glsr-reviews > p {
  padding: 20px;
}
.page-painter .content-painter-reviews .glsr-review:not(:last-of-type) {
  border-bottom: solid 1px var(--sotokabe-bbs-review-border-color);
}

.page-painter .content-painter-reviews .glsr-review h3 {
  padding: 0;
}

.page-painter :is(.content-painter-info, .content-painter-prefecture .painter) {
  background-color: var(--sotokabe-bbs-info-bg-color);
  border: solid 1px var(--sotokabe-bbs-info-border-color);
}

.page-painter .content-painter-info .painter-title h2 {
  color: var(--sotokabe-bbs-info-head-color);
}

.page-painter :is(.content-painter-info, .content-painter-prefecture) .painter-info {
  background-color: var(--sotokabe-bbs-info-bg-color);
  display: flex;
}

.page-painter :is(.content-painter-info, .content-painter-prefecture) .painter-info .painter-info-image {
  align-items: center;
  display: flex;
  flex-direction: column;
  max-width: calc(200px + 5vw);
  min-width: calc(200px + 5vw);
}
.page-painter :is(.content-painter-info, .content-painter-prefecture) .painter-info .painter-info-image:empty {
  display: none;
}

.page-painter :is(.content-painter-info, .content-painter-prefecture) .painter-info :is(.avatar-wrapper, .avatar-wrapper img) {
  max-height: calc(200px + 5vw);
}
.page-painter :is(.content-painter-info, .content-painter-prefecture) .painter-info .avatar-wrapper img {
  object-fit: contain;
}

.page-painter :is(.content-painter-info, .content-painter-prefecture) .painter-info ul {
  align-items: center;
  display: flex;
  flex-grow: 1;
  justify-content: space-evenly;
  width: 100%;
}

.page-painter :is(.content-painter-info, .content-painter-prefecture) .painter-info li {
  font-size: calc((200px + 5vw) / 6 / 1.5);
}

.page-painter :is(.content-painter-info, .content-painter-prefecture) .painter-info i {
  color: var(--sotokabe-bbs-info-icon-color);
}

.page-painter :is(.content-painter-info, .content-painter-prefecture) .painter-info dl {
  display: grid;
  grid-template-columns: auto 1fr;
}

.page-painter :is(.content-painter-info, .content-painter-prefecture) .painter-info dt {
  align-items: center;
  background: color-mix(in srgb, var(--sotokabe-bbs-info-bg-color) 30%, #fff);
  color: var(--sotokabe-bbs-info-dt-color);
  display: flex;
  font-weight: bold;
  padding: 15px 5vw 15px 6vw;
  white-space: nowrap;
}
.page-painter :is(.content-painter-info, .content-painter-prefecture) .painter-info dt:nth-of-type(even) {
  background: color-mix(in srgb, var(--sotokabe-bbs-info-bg-color) 10%, #fff);
}

.page-painter :is(.content-painter-info, .content-painter-prefecture) .painter-info dd {
  align-items: center;
  background-color: var(--sotokabe-bbs-info-dd-bg-color);
  color: var(--sotokabe-bbs-info-dd-color);
  display: flex;
  padding: 10px;
}
.page-painter :is(.content-painter-info, .content-painter-prefecture) .painter-info dd:not(:first-of-type):last-of-type {
  border-bottom: none;
}

.page-painter .content-painter-answers :is(h2, .qas) {
  border: solid 1px var(--sotokabe-bbs-info-border-color);
  border-top: none;
}
.page-painter .content-painter-answers h2 {
  background-color:color-mix(in srgb, var(--sotokabe-bbs-info-bg-color) 30%, #fff);
  color: var(--sotokabe-bbs-info-dt-color);
}

.page-painter .content-painter-prefecture {
  padding-top: 15px;
}

.page-painter .content-painter-prefecture h2 {
  box-shadow: 0 0 5px rgba(150, 150, 150, .2);
  font-weight: normal;
}

.page-painter .content-painter-prefecture > .not-found {
  background-color: #fff;
  padding: 20px;
}

.page-painter .content-painter-prefecture .painter-title a {
  align-items: center;
  color: var(--sotokabe-bbs-info-head-color);
  display: flex;
  justify-content: space-between;
  padding: 20px;
}
.page-painter .content-painter-prefecture .painter-title a:hover {
  color: var(--sotokabe-bbs-info-head-color);
  opacity: 1;
}

.page-painter .content-painter-prefecture .painter-title a:before {
  font-size: 1.4em;
}

@media screen and (max-width:768px){
  .page-painter :is(.content-painter-info, .content-painter-prefecture) .painter-info {
    align-items: center;
    flex-direction: column;
  }

  .page-painter :is(.content-painter-info, .content-painter-prefecture) .painter-info .painter-info-image {
    max-height: none;
    width: 100%;
  }

  .page-painter :is(.content-painter-info, .content-painter-prefecture) .painter-info .avatar-wrapper {
    display: flex;
    justify-content: center;
  }
}